<template>
  <div class="input-group">
    <label class="input-label">
      Notes
    </label>
    <textarea
      class="input input--textarea"
      :value="companyData.notes"
      @click="toggleModal"
      placeholder="e.g. Good Tech Company"
      readonly
    />
    <div v-show="showModal" class="modal-container">
      <div class="modal-background" @click="toggleModal"></div>
      <div class="modal">
        <div class="input-group">
          <label class="input-label">
            Notes
          </label>
          <textarea
            class="input input--textarea"
            :value="companyData.notes"
            @input="onInput"
            placeholder="e.g. Good Tech Company"
          />
        </div>
        <button class="modal__button" @click="toggleModal">
          Salvar
        </button>
      </div>
    </div>
  </div>
</template>

<script>
import { mapGetters, mapActions } from 'vuex';

export default {
  name: "Modal",
  data() {
    return {
      showModal: false,
    }
  },
  methods: {
    ...mapActions(['updateCompanyField']),
    toggleModal() {
      this.showModal = !this.showModal;
    },
    onInput(e) {
      this.updateCompanyField({fieldName: 'notes', fieldValue: e.target.value});
    }
  },
  computed: {
    ...mapGetters(['companyData']),
  }
}
</script>

<style lang="scss" scoped>
  @import 'Styles/components/input.scss';
  @import 'Styles/components/modal.scss';
</style>

